
I was in a bad place in my life. The boy that I loved broke up with me. So I was hanging out with some friends taking acid. I dropped three hits and was very high. My friends thought I was too high so they gave me some downers that made me too down. So they gave me some uppers, and then I was again too high. So they tried to inject me with another drug. I fought hard not to let them inject me and I bit one of them. Resulting in my friends taking me out of the house and putting me in my car. They were going to drive me to the hospital with another friend following in her car. I tried to jump out of the car because I was hearing voices telling me to jump. My friends left me there. They abandoned me in the street at a busy intersection.

The police soon picked me up and took me to a police station. I had fought them hard and they had hog-tied me. The officers carried me into the station. I remember the Sergeant said they were crazy bringing me there, because I was not breathing right. He didn't want me to die at the jail. I don't remember anything after that except when at the hospital.

The hospital staff were trying to wake me up, but I couldn't do so. They had my ID and were saying my name. A guy in the next room heard them say my name. He had been injured in a motorcycle accident that night and he knew me. He told them who my father was, where my parents lived, and their phone number.

At this point, I was floating above the scene and watching them try to revive me. Suddenly, I was surrounded by these horrible creatures that I call 'dark angels.' They were speaking in a rhyme saying 'Out of the light and into the darkness . . . ' The rest of the rhyme I don't remember. They tore at me and it was painful, ripping me to pieces until I was nothing. We were literally flying down the halls of the hospital and out the roof.

Next, I was in a Hell and was flat on my back with bars pressing down on me. I could hear the cries of other souls and their anguish. An evil presence questioned me for what seemed like an eternity. It wanted to know what I believed spiritually and who I worshipped. I was very afraid a first but became defiant and challenged their right to keep me. I told them I did believe in Jesus and I didn't think he would hurt me. Then I was suddenly out of hell.

The next thing that happened was an in-depth review of my life. The Beings that were with me, showed me in detail each mistake I had made in my life. This review was so detailed that even inappropriate looks were pointed out. I was shown how my behavior hurt others and it was my responsibility to curtail my responses and love others more fully.

Next I was in the womb of a woman. It was very peaceful until I was born. I was reminded of the evil of the world when the doctor who delivered me thought, 'Here's another little whore.' I could hear it and was so sad. After that, I lived lives, died, and was reborn thousands of times. This eternity was pure hell, I just wanted it to stop.

Then I woke up in a room. I was tied down and my father was there praying. I couldn't believe I was out of the Hell. I told only the doctor who cared for me what happened. He said he had heard of similar experiences.
